Page MenuHomePhabricator

Account creation: recurring donor landing page
Closed, ResolvedPublic

Description

Just as we did in T284740: Account creation: design an enhanced account creation landing page, we need to create a special account creation page for this recurring donor email. It will be very similar to that previously created landing page.

Graphic: same heart graphic
Header: "Thanks for being a loyal supporter. It’s contributions from readers like you that keep Wikipedia thriving."
Body: "Create your account now to log in and avoid seeing fundraising banners. Once you have an account, you can also learn to edit Wikipedia with small changes that will have a big impact for the rest of the world. We’ll be there to guide you as you start!" (no bullet points with icons like in the previous landing page)
Destination: after account creation, all users go straight to Special:Homepage (geEnabled=1)
Campaign: growth-recurring-english-2021

Event Timeline

MMiller_WMF created this task.
MMiller_WMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.

Change 731883 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[mediawiki/extensions/GrowthExperiments@master] CreateAccountCampaign: Support for recurring donors

https://gerrit.wikimedia.org/r/731883

Change 731928 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[operations/mediawiki-config@master] GrowthExperiments: Add campaign pattern for enwiki

https://gerrit.wikimedia.org/r/731928

With URL: /wiki/Special:CreateAccount?campaign=growth-recurring-english-2021&geEnabled=1

image.png (1×2 px, 1 MB)

Screen Shot 2021-10-19 at 13.34.33.png (1×870 px, 96 KB)

As with the previous campaign, the body text is hidden on mobile.

@MMiller_WMF @kostajh - per offline discussion, would it be possible to create alternative copy when someone who is logged in already goes to this page? Something like the mock below (with better copy):

image.png (1×1 px, 406 KB)

@MMiller_WMF @kostajh - per offline discussion, would it be possible to create alternative copy when someone who is logged in already goes to this page? Something like the mock below (with better copy):

image.png (1×1 px, 406 KB)

Yes it is possible, @MMiller_WMF please confirm if you want that to happen for this week's deploy or not.

@kostajh -- thanks for working on this. Because of the turnaround speed here, we should not make alternative copy for logged in people. Let's just do the simple version here -- I'm good with what you've made. Once it's deployed, let me know so I can tell Advancement.

The language looks good for Advancement! Thank you!

Change 731883 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] CreateAccountCampaign: Support for recurring donors

https://gerrit.wikimedia.org/r/731883

Change 732076 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[mediawiki/extensions/GrowthExperiments@wmf/1.38.0-wmf.5] CreateAccountCampaign: Support for recurring donors

https://gerrit.wikimedia.org/r/732076

Change 732077 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[mediawiki/extensions/GrowthExperiments@wmf/1.38.0-wmf.4] CreateAccountCampaign: Support for recurring donors

https://gerrit.wikimedia.org/r/732077

Change 731928 merged by jenkins-bot:

[operations/mediawiki-config@master] GrowthExperiments: Add campaign pattern for enwiki

https://gerrit.wikimedia.org/r/731928

Mentioned in SAL (#wikimedia-operations) [2021-10-20T11:15:51Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: e520fc57411bb19123766192cd636396ea6fc59d: GrowthExperiments: Add campaign pattern for enwiki (T293699) (duration: 01m 22s)

Change 732076 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@wmf/1.38.0-wmf.5] CreateAccountCampaign: Support for recurring donors

https://gerrit.wikimedia.org/r/732076

Change 732077 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@wmf/1.38.0-wmf.4] CreateAccountCampaign: Support for recurring donors

https://gerrit.wikimedia.org/r/732077

Mentioned in SAL (#wikimedia-operations) [2021-10-20T11:37:11Z] <urbanecm@deploy1002> Started scap: 802d3b7: e4f7f85: CreateAccountCampaign: Support for recurring donors (T293699)

Mentioned in SAL (#wikimedia-operations) [2021-10-20T12:02:30Z] <urbanecm@deploy1002> Finished scap: 802d3b7: e4f7f85: CreateAccountCampaign: Support for recurring donors (T293699) (duration: 25m 19s)

@RHo @MMiller_WMF One thing I didn't account for is the warning text in T290376: Better display warning text on Special:CreateAccount, which unfortunately interferes pretty drastically with the mobile display:

Screen Shot 2021-10-20 at 14.33.30.png (2×1 px, 207 KB)

Desktop is not as bad:

Screenshot 2021-10-20 at 14-33-59 Create account - Wikipedia.png (1×2 px, 345 KB)


For the email campaign, like with the previous one, it would be great to try a small batch of these to ensure that everything functions as intended and that is verified via analytics, before doing a mass send.

I don't think there is anything we can do about that this week; the solution is to complete T290376: Better display warning text on Special:CreateAccount / T282494: Create field for username assistance at the Special:CreateAccount page

@RHo @MMiller_WMF One thing I didn't account for is the warning text in T290376: Better display warning text on Special:CreateAccount, which unfortunately interferes pretty drastically with the mobile display:

Screen Shot 2021-10-20 at 14.33.30.png (2×1 px, 207 KB)

Desktop is not as bad:

Screenshot 2021-10-20 at 14-33-59 Create account - Wikipedia.png (1×2 px, 345 KB)


For the email campaign, like with the previous one, it would be great to try a small batch of these to ensure that everything functions as intended and that is verified via analytics, before doing a mass send.

I don't think there is anything we can do about that this week; the solution is to complete T290376: Better display warning text on Special:CreateAccount / T282494: Create field for username assistance at the Special:CreateAccount page

Fair enough, though a complication with the mobile display is that the username assistance field currently also gets hidden on mobile (since for some reason the 4 fields get smushed into one block), so we may want to explore un-compacting that as well.

Etonkovidova added a subscriber: Etonkovidova.

Checked http://en.wikipedia.org/wiki/Special:CreateAccount?campaign=growth-recurring-english-2021&geEnabled=1 on mobile - the screenshot below is from Samsung galaxy 8

Screenshot_20211020-175309_Samsung Internet.jpg (2×1 px, 389 KB)

Created a new account via the page

  • I did not get a WelcomeSurvey
  • Homepage was enabled and I got the intro tour
  • the email was confirmed

All works as expected.

The desktop screenshot:

Screen Shot 2021-10-20 at 6.06.29 PM.png (1×2 px, 585 KB)

MMiller_WMF renamed this task from Donors to newcomers: recurring donor landing page to Account creation: recurring donor landing page.Feb 5 2022, 2:37 AM